Bug 1404895 - Review Request: partclone - File System Clone Utilities
Summary: Review Request: partclone - File System Clone Utilities
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2016-12-15 02:30 UTC by Eric Smith
Modified: 2017-09-04 17:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-28 22:21:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Eric Smith 2016-12-15 02:30:55 UTC
Spec URL: https://fedorapeople.org/~brouhaha/partclone/partclone.spec
SRPM URL: https://fedorapeople.org/~brouhaha/partclone/partclone-0.2.89-1.fc24.src.rpm
Description: Partclone provides utilities to back up and restore used-blocks of a partition and it is designed for higher compatibility of the file system by using existing library, e.g. e2fslibs is used to read and write the ext2 partition.
Fedora Account System Username: brouhaha

Comment 1 Robert Scheck 2017-01-28 02:22:41 UTC
I'm not sure, but I don't think Fedora can ship exFAT support in partclone,
if Fedora can not ship the exfat-utils package...requesting some FE-Legal
clarification here.

Meanwhile partclone 0.3.5a was released (see GitHub), thus the following
comes to my mind:
- BuildRequires: nilfs-utils-devel (Fedora only, no EPEL package currently)
- --enable-xfs
- --enable-f2fs
- --enable-nilfs2 (Fedora only, no EPEL package currently)
- --enable-ncursesw
- Do we really need "--enable-mtrace"?

Personally, I would like to see a section like:
%check
make check || :  # Allow failures for the time being

However, "make check" is quite resource consuming and partially also broken
at upstream. As of writing, "make check" would require this as well:

BuildRequires: btrfs-progs, e2fsprogs, xfsprogs, ntfsprogs, dosfstools
%if 0%{?fedora}
BuildRequires: f2fs-tools, hfsplus-tools
%endif

Nevertheless, "make check" does not run at all without these patches:
- https://github.com/Thomas-Tsai/partclone/pull/87
- https://github.com/Thomas-Tsai/partclone/pull/88

Comment 2 Robert Scheck 2017-01-28 02:28:42 UTC
Oh, given partclone-0.3.5a/fail-mbr/fail-mbr.bin.orig is shipped by default
and also makes it into the RPM package...that is a binary file, that only can
be built on ix86/x86_64 hardware. Any suggestions? For Debian it seems that
they built the binary themself on ix86/x86_64 hardware and ship that now as a
part of their ...debian.tar.xz. Would that be acceptable for Fedora as well?

Comment 3 Robert Scheck 2017-07-18 09:47:46 UTC
Eric, ping? Any thoughts or comments regarding my thoughts and comments?

Comment 4 Tadej Janež 2017-08-12 09:49:00 UTC
I'm also interested in partclone.

Eric, are you still willing to package it?

Comment 5 Robert Scheck 2017-08-12 10:05:14 UTC
(In reply to Tadej Janež from comment #4)
> Eric, are you still willing to package it?

If not, I would submit a new review request myself based on comment #1, given
I care a lot about mentioned points (EPEL). Tadej, are you a packager, too?

Comment 6 Tadej Janež 2017-08-12 12:12:43 UTC
(In reply to Robert Scheck from comment #5)
> 
> If not, I would submit a new review request myself based on comment #1, given
> I care a lot about mentioned points (EPEL). Tadej, are you a packager, too?

Yes, I'm a packager and I can review your package.

Maybe we could just continue the packaging effort here, you would just post your SRPM and SPEC file links?

If Eric is still interested he could do a review himself and become a co-maintainer.

Comment 7 Robert Scheck 2017-08-13 02:09:57 UTC
(In reply to Tadej Janež from comment #6)
> Maybe we could just continue the packaging effort here, you would just post
> your SRPM and SPEC file links

Spec URL: https://labs.linuxnetz.de/bugzilla/partclone.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/partclone-0.3.5a-1.src.rpm

Points that are still open are exFAT support and how to handle fail-mbr.bin
on non-%{ix86} platforms.

Comment 8 Robert-André Mauchin 2017-08-15 09:20:40 UTC
Hello,


 - The Group: tag is not used on Fedora. See https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

 - make %{?_smp_mflags} should be replaced with %make_build

 - You should give a more meaningful name to the downloaded source with:
Source0:	https://github.com/Thomas-Tsai/partclone/archive/%{version}/%{name}-%{version}.tar.gz

 - Please use spaces instead of tabs

 - Please split your BR and R: one per line is better for diff.

 - Not needed:
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 - %clean is not needed in Fedora. You should remove it.

 - You should provide a patch to fix the incorrect FSF addresses where needed.

 - The licence tag is incorrect, there's a wide variety of licences used in this package and it should be reflected in the tag and detailed. For reference:

*No copyright* GPL (v2 or later)
--------------------------------
partclone-0.3.5a/src/btrfs/crc32c.c

*No copyright* GPL (with incorrect FSF address)
-----------------------------------------------
partclone-0.3.5a/src/btrfs/commands.h

BSD (3 clause)
--------------
partclone-0.3.5a/src/ufs/ffs/fs.h
partclone-0.3.5a/src/ufs/sys/disklabel.h
partclone-0.3.5a/src/ufs/ufs/dinode.h
partclone-0.3.5a/src/ufs/ufs/fs.h

BSD (unspecified)
-----------------
partclone-0.3.5a/src/ufs/libufs.h

GPL
---
partclone-0.3.5a/po/Makefile.in.in
partclone-0.3.5a/src/btrfs/ulist.c
partclone-0.3.5a/src/btrfs/ulist.h
partclone-0.3.5a/src/xfs/atomic.h
partclone-0.3.5a/src/xfs/cache.c
partclone-0.3.5a/src/xfs/cache.h
partclone-0.3.5a/src/xfs/command.h
partclone-0.3.5a/src/xfs/init.c
partclone-0.3.5a/src/xfs/init.h
partclone-0.3.5a/src/xfs/input.h
partclone-0.3.5a/src/xfs/kmem.h
partclone-0.3.5a/src/xfs/libxfs.h
partclone-0.3.5a/src/xfs/libxfs_api_defs.h
partclone-0.3.5a/src/xfs/libxfs_io.h
partclone-0.3.5a/src/xfs/libxfs_priv.h
partclone-0.3.5a/src/xfs/libxlog.h
partclone-0.3.5a/src/xfs/linux.c
partclone-0.3.5a/src/xfs/list.h
partclone-0.3.5a/src/xfs/logitem.c
partclone-0.3.5a/src/xfs/path.h
partclone-0.3.5a/src/xfs/project.h
partclone-0.3.5a/src/xfs/rdwr.c
partclone-0.3.5a/src/xfs/trans.c
partclone-0.3.5a/src/xfs/util.c
partclone-0.3.5a/src/xfs/xfs_alloc.c
partclone-0.3.5a/src/xfs/xfs_alloc.h
partclone-0.3.5a/src/xfs/xfs_alloc_btree.c
partclone-0.3.5a/src/xfs/xfs_alloc_btree.h
partclone-0.3.5a/src/xfs/xfs_arch.h
partclone-0.3.5a/src/xfs/xfs_attr.c
partclone-0.3.5a/src/xfs/xfs_attr_leaf.c
partclone-0.3.5a/src/xfs/xfs_attr_leaf.h
partclone-0.3.5a/src/xfs/xfs_attr_remote.c
partclone-0.3.5a/src/xfs/xfs_attr_remote.h
partclone-0.3.5a/src/xfs/xfs_attr_sf.h
partclone-0.3.5a/src/xfs/xfs_bit.c
partclone-0.3.5a/src/xfs/xfs_bit.h
partclone-0.3.5a/src/xfs/xfs_bmap.c
partclone-0.3.5a/src/xfs/xfs_bmap.h
partclone-0.3.5a/src/xfs/xfs_bmap_btree.c
partclone-0.3.5a/src/xfs/xfs_bmap_btree.h
partclone-0.3.5a/src/xfs/xfs_btree.c
partclone-0.3.5a/src/xfs/xfs_btree.h
partclone-0.3.5a/src/xfs/xfs_btree_trace.h
partclone-0.3.5a/src/xfs/xfs_da_btree.c
partclone-0.3.5a/src/xfs/xfs_da_btree.h
partclone-0.3.5a/src/xfs/xfs_da_format.c
partclone-0.3.5a/src/xfs/xfs_da_format.h
partclone-0.3.5a/src/xfs/xfs_dir2.c
partclone-0.3.5a/src/xfs/xfs_dir2.h
partclone-0.3.5a/src/xfs/xfs_dir2_block.c
partclone-0.3.5a/src/xfs/xfs_dir2_data.c
partclone-0.3.5a/src/xfs/xfs_dir2_leaf.c
partclone-0.3.5a/src/xfs/xfs_dir2_node.c
partclone-0.3.5a/src/xfs/xfs_dir2_priv.h
partclone-0.3.5a/src/xfs/xfs_dir2_sf.c
partclone-0.3.5a/src/xfs/xfs_dquot_buf.c
partclone-0.3.5a/src/xfs/xfs_format.h
partclone-0.3.5a/src/xfs/xfs_ialloc.c
partclone-0.3.5a/src/xfs/xfs_ialloc.h
partclone-0.3.5a/src/xfs/xfs_ialloc_btree.c
partclone-0.3.5a/src/xfs/xfs_ialloc_btree.h
partclone-0.3.5a/src/xfs/xfs_inode.h
partclone-0.3.5a/src/xfs/xfs_inode_buf.c
partclone-0.3.5a/src/xfs/xfs_inode_buf.h
partclone-0.3.5a/src/xfs/xfs_inode_fork.c
partclone-0.3.5a/src/xfs/xfs_inode_fork.h
partclone-0.3.5a/src/xfs/xfs_log_format.h
partclone-0.3.5a/src/xfs/xfs_log_recover.h
partclone-0.3.5a/src/xfs/xfs_log_rlimit.c
partclone-0.3.5a/src/xfs/xfs_metadump.h
partclone-0.3.5a/src/xfs/xfs_mount.h
partclone-0.3.5a/src/xfs/xfs_quota_defs.h
partclone-0.3.5a/src/xfs/xfs_rtbitmap.c
partclone-0.3.5a/src/xfs/xfs_sb.c
partclone-0.3.5a/src/xfs/xfs_sb.h
partclone-0.3.5a/src/xfs/xfs_shared.h
partclone-0.3.5a/src/xfs/xfs_symlink_remote.c
partclone-0.3.5a/src/xfs/xfs_trace.h
partclone-0.3.5a/src/xfs/xfs_trans.h
partclone-0.3.5a/src/xfs/xfs_trans_resv.c
partclone-0.3.5a/src/xfs/xfs_trans_resv.h
partclone-0.3.5a/src/xfs/xfs_trans_space.h
partclone-0.3.5a/src/xfs/xfs_types.h

GPL (v2 or later)
-----------------
partclone-0.3.5a/README.Packages/debian.squeeze/copyright
partclone-0.3.5a/src/btrfsclone.c
partclone-0.3.5a/src/btrfsclone.h
partclone-0.3.5a/src/ddclone.c
partclone-0.3.5a/src/ddclone.h
partclone-0.3.5a/src/exfat/byteorder.h
partclone-0.3.5a/src/exfat/cluster.c
partclone-0.3.5a/src/exfat/compiler.h
partclone-0.3.5a/src/exfat/exfat.h
partclone-0.3.5a/src/exfat/exfatfs.h
partclone-0.3.5a/src/exfat/io.c
partclone-0.3.5a/src/exfat/log.c
partclone-0.3.5a/src/exfat/lookup.c
partclone-0.3.5a/src/exfat/mount.c
partclone-0.3.5a/src/exfat/node.c
partclone-0.3.5a/src/exfat/platform.h
partclone-0.3.5a/src/exfat/time.c
partclone-0.3.5a/src/exfat/utf.c
partclone-0.3.5a/src/exfat/utils.c
partclone-0.3.5a/src/exfat/version.h
partclone-0.3.5a/src/exfatclone.c
partclone-0.3.5a/src/exfatclone.h
partclone-0.3.5a/src/extfsclone.c
partclone-0.3.5a/src/extfsclone.h
partclone-0.3.5a/src/f2fsclone.c
partclone-0.3.5a/src/f2fsclone.h
partclone-0.3.5a/src/fatclone.c
partclone-0.3.5a/src/fatclone.h
partclone-0.3.5a/src/fuseimg.c
partclone-0.3.5a/src/hfsplusclone.c
partclone-0.3.5a/src/hfsplusclone.h
partclone-0.3.5a/src/info.c
partclone-0.3.5a/src/jfsclone.c
partclone-0.3.5a/src/jfsclone.h
partclone-0.3.5a/src/main.c
partclone-0.3.5a/src/minixclone.c
partclone-0.3.5a/src/minixclone.h
partclone-0.3.5a/src/nilfsclone.c
partclone-0.3.5a/src/nilfsclone.h
partclone-0.3.5a/src/ntfsclone-ng.c
partclone-0.3.5a/src/ntfsclone-ng.h
partclone-0.3.5a/src/partclone.c
partclone-0.3.5a/src/partclone.h
partclone-0.3.5a/src/progress.c
partclone-0.3.5a/src/progress.h
partclone-0.3.5a/src/readblock.c
partclone-0.3.5a/src/reiser4clone.c
partclone-0.3.5a/src/reiser4clone.h
partclone-0.3.5a/src/reiserfsclone.c
partclone-0.3.5a/src/reiserfsclone.h
partclone-0.3.5a/src/ufsclone.c
partclone-0.3.5a/src/ufsclone.h
partclone-0.3.5a/src/vmfs5clone.c
partclone-0.3.5a/src/vmfsclone.c
partclone-0.3.5a/src/vmfsclone.h
partclone-0.3.5a/src/xfsclone.c
partclone-0.3.5a/src/xfsclone.h

GPL (v2 or later) (with incorrect FSF address)
----------------------------------------------
partclone-0.3.5a/src/btrfs/radix-tree.c
partclone-0.3.5a/src/btrfs/radix-tree.h
partclone-0.3.5a/src/btrfs/raid6.c
partclone-0.3.5a/src/btrfs/rbtree.c
partclone-0.3.5a/src/btrfs/rbtree.h
partclone-0.3.5a/src/btrfs/rbtree_augmented.h
partclone-0.3.5a/src/xfs/radix-tree.c
partclone-0.3.5a/src/xfs/radix-tree.h

GPL (v2)
--------
partclone-0.3.5a/src/f2fs/clone.c
partclone-0.3.5a/src/f2fs/f2fs.h
partclone-0.3.5a/src/f2fs/f2fs_fs.h
partclone-0.3.5a/src/f2fs/fsck.c
partclone-0.3.5a/src/f2fs/fsck.h
partclone-0.3.5a/src/f2fs/libf2fs.c
partclone-0.3.5a/src/f2fs/mount.c
partclone-0.3.5a/src/xfs/crc32.c

GPL (v3 or later)
-----------------
partclone-0.3.5a/fail-mbr/fail-mbr.S
partclone-0.3.5a/gitlog-to-changelog
partclone-0.3.5a/src/ntfsfixboot.c

GPL (with incorrect FSF address)
--------------------------------
partclone-0.3.5a/src/btrfs/btrfs-list.c
partclone-0.3.5a/src/btrfs/btrfs-list.h
partclone-0.3.5a/src/btrfs/btrfsck.h
partclone-0.3.5a/src/btrfs/crc32c.h
partclone-0.3.5a/src/btrfs/ctree.c
partclone-0.3.5a/src/btrfs/ctree.h
partclone-0.3.5a/src/btrfs/dir-item.c
partclone-0.3.5a/src/btrfs/disk-io.c
partclone-0.3.5a/src/btrfs/disk-io.h
partclone-0.3.5a/src/btrfs/extent-cache.c
partclone-0.3.5a/src/btrfs/extent-cache.h
partclone-0.3.5a/src/btrfs/extent-tree.c
partclone-0.3.5a/src/btrfs/extent_io.c
partclone-0.3.5a/src/btrfs/extent_io.h
partclone-0.3.5a/src/btrfs/file-item.c
partclone-0.3.5a/src/btrfs/free-space-cache.c
partclone-0.3.5a/src/btrfs/free-space-cache.h
partclone-0.3.5a/src/btrfs/hash.h
partclone-0.3.5a/src/btrfs/inode-item.c
partclone-0.3.5a/src/btrfs/inode-map.c
partclone-0.3.5a/src/btrfs/internal.h
partclone-0.3.5a/src/btrfs/ioctl.h
partclone-0.3.5a/src/btrfs/kerncompat.h
partclone-0.3.5a/src/btrfs/list.h
partclone-0.3.5a/src/btrfs/math.h
partclone-0.3.5a/src/btrfs/print-tree.c
partclone-0.3.5a/src/btrfs/print-tree.h
partclone-0.3.5a/src/btrfs/qgroup-verify.c
partclone-0.3.5a/src/btrfs/qgroup-verify.h
partclone-0.3.5a/src/btrfs/qgroup.c
partclone-0.3.5a/src/btrfs/qgroup.h
partclone-0.3.5a/src/btrfs/rbtree-utils.c
partclone-0.3.5a/src/btrfs/rbtree-utils.h
partclone-0.3.5a/src/btrfs/repair.c
partclone-0.3.5a/src/btrfs/repair.h
partclone-0.3.5a/src/btrfs/root-tree.c
partclone-0.3.5a/src/btrfs/send-stream.c
partclone-0.3.5a/src/btrfs/send-stream.h
partclone-0.3.5a/src/btrfs/send-utils.c
partclone-0.3.5a/src/btrfs/send-utils.h
partclone-0.3.5a/src/btrfs/send.h
partclone-0.3.5a/src/btrfs/transaction.h
partclone-0.3.5a/src/btrfs/utils.c
partclone-0.3.5a/src/btrfs/utils.h
partclone-0.3.5a/src/btrfs/uuid-tree.c
partclone-0.3.5a/src/btrfs/volumes.c
partclone-0.3.5a/src/btrfs/volumes.h

LGPL
----
partclone-0.3.5a/src/xfs/handle.h
partclone-0.3.5a/src/xfs/jdm.h
partclone-0.3.5a/src/xfs/linux.h
partclone-0.3.5a/src/xfs/parent.h
partclone-0.3.5a/src/xfs/platform_defs.h.in
partclone-0.3.5a/src/xfs/xfs_fs.h
partclone-0.3.5a/src/xfs/xqm.h

LGPL (v2 or later)
------------------
partclone-0.3.5a/src/gettext.h

LGPL (v2.1)
-----------
partclone-0.3.5a/src/xfs/xfs.h



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "LGPL (v2 or later)", "GPL (v2 or later)", "GPL (v3 or
     later)", "Unknown or generated", "*No copyright* GPL", "MIT/X11 (BSD
     like)", "BSD (unspecified)", "GPL (v2 or later) (with incorrect FSF
     address)", "LGPL", "LGPL (v2.1)", "*No copyright* GPL (with incorrect
     FSF address)", "BSD (3 clause)", "GPL (with incorrect FSF address)",
     "*No copyright* GPL (v2 or later)", "GPL (v2)". 205 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/partclone/review-partclone/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 153600 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     partclone-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: partclone-0.3.5a-1.fc27.x86_64.rpm
          partclone-debuginfo-0.3.5a-1.fc27.x86_64.rpm
          partclone-0.3.5a-1.fc27.src.rpm
partclone.x86_64: W: only-non-binary-in-usr-lib
partclone.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
partclone.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
partclone.x86_64: E: incorrect-fsf-address /usr/share/licenses/partclone/COPYING
partclone.x86_64: W: no-manual-page-for-binary partclone.block
partclone.x86_64: W: no-manual-page-for-binary partclone.imgfuse
3 packages and 0 specfiles checked; 1 errors, 5 warnings.

Comment 9 Robert Scheck 2017-08-15 09:58:48 UTC
(In reply to Robert-André Mauchin (afk until next Thu) from comment #8)
>  - The Group: tag is not used on Fedora. See
> https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

RHEL/CentOS 6 still uses the Group: tag by default, I could wrap it like:

%if 0%{?rhel} < 7
Group: …
%endif

>  - You should provide a patch to fix the incorrect FSF addresses where
> needed.

You noticed the mentioned upstream ticket which also references a patch 
suggestion by (another) Fedora contributor?

>  - The licence tag is incorrect, there's a wide variety of licences used in
> this package and it should be reflected in the tag and detailed. For
> reference:
>
> *No copyright* GPL (with incorrect FSF address)
> -----------------------------------------------
> partclone-0.3.5a/src/btrfs/commands.h

This is GPLv2, not GPL+.

> BSD (3 clause)
> --------------
> partclone-0.3.5a/src/ufs/ffs/fs.h
> partclone-0.3.5a/src/ufs/sys/disklabel.h
> partclone-0.3.5a/src/ufs/ufs/dinode.h
> partclone-0.3.5a/src/ufs/ufs/fs.h
> 
> BSD (unspecified)
> -----------------
> partclone-0.3.5a/src/ufs/libufs.h

This path of the source tree is not used/not built.

> GPL (v3 or later)
> -----------------
> partclone-0.3.5a/fail-mbr/fail-mbr.S
> partclone-0.3.5a/gitlog-to-changelog
> partclone-0.3.5a/src/ntfsfixboot.c

Binary file fail-mbr* is raised in comment #2, gitlog-to-changelog is not
being used.

> GPL (with incorrect FSF address)
> --------------------------------
> partclone-0.3.5a/src/btrfs/btrfs-list.c
[…]
> partclone-0.3.5a/src/btrfs/volumes.h

This is GPLv2, not GPL+.

How about: GPL+ and GPLv2 and GPLv2+ and GPLv3+ and LGPLv2 and LGPLv2+

Or, to respect partclone.<filesystem>, more in detail:
(GPLv2+ and LGPLv2+) and
(GPLv2+ and GPLv2 and GPL+ and LGPLv2 and LGPLv2+) and
(GPLv2+ and GPLv2 and LGPLv2+) and
(GPLv2+ and GPLv3+ and LGPLv2+)

Comment 10 Robert-André Mauchin 2017-08-15 13:27:07 UTC
>I could wrap it like

Please do

> You noticed the mentioned upstream ticket which also references a patch 
suggestion by (another) Fedora contributor?

I did, but you should include it while waiting for upstream to include it. You'll drop the patch when they do.


> How about: GPL+ and GPLv2 and GPLv2+ and GPLv3+ and LGPLv2 and LGPLv2+

That's kay like this.

Comment 11 Robert Scheck 2017-08-15 13:42:45 UTC
Could you please raise your toughts regarding exFAT code/support and
binary partclone-0.3.5a/fail-mbr/fail-mbr.bin.orig as well?

Comment 12 Robert Scheck 2017-08-15 13:43:04 UTC
I meant "thoughts", typo. Sorry.

Comment 13 Robert-André Mauchin 2017-08-15 14:07:35 UTC
>raise your toughts regarding exFAT code/support

You already said it, we can't ship exfat-utils, so we can't activate support for it.

>fail-mbr.bin.orig

As far as I know, we can't ship prepackaged binaries, so we must built it in the SPEC. If it's only available on i386/x86_64, use the appropriate %ifarch macro.

Comment 14 Robert Scheck 2017-08-15 14:48:30 UTC
(In reply to Robert-André Mauchin (afk until next Thu) from comment #13)
> You already said it, we can't ship exfat-utils, so we can't activate support
> for it.

I am sorry for being unprecise: My thoughts were about if we have to rip the
code from the source tarball, thus if we have to create a custom tarball, e.g.
like the openssl package.

> >fail-mbr.bin.orig
> As far as I know, we can't ship prepackaged binaries, so we must built it in
> the SPEC. If it's only available on i386/x86_64, use the appropriate %ifarch
> macro.

Well, we could build the "binary" in question ourself and ship it as %SOURCE1
ourself (that's what Debian does); in the end it's a simple small binary with
mostly NULL bytes (< 450 bytes in total), thus more or less easy to verify.

Comment 15 Robert-André Mauchin 2017-08-15 16:51:10 UTC
> if we have to rip thecode from the source tarball

I don't think this is necessary.

> we could build the "binary" in question ourself and ship it as %SOURCE1
ourself

Honestly I'm not certain what is the correct procedure in this case, maybe you should ask on fedora-devel for opinions.

Comment 17 Robert-André Mauchin 2017-08-17 07:49:42 UTC
One last minor thing : If the package is under multiple licenses, the licensing breakdown must be documented in the spec.

Since the breakdown is fairly complex, summarizes it to the best of your abilities.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "LGPL (v2 or later)", "GPL (v2 or later)", "GPL (v3 or
     later)", "Unknown or generated", "*No copyright* GPL", "MIT/X11 (BSD
     like)", "BSD (unspecified)", "GPL (v2 or later) (with incorrect FSF
     address)", "LGPL", "LGPL (v2.1)", "*No copyright* GPL (with incorrect
     FSF address)", "BSD (3 clause)", "GPL (with incorrect FSF address)",
     "*No copyright* GPL (v2 or later)", "GPL (v2)", "*No copyright* GPL
     (v2)". 207 files have unknown license. Detailed output of licensecheck
     in /home/bob/packaging/review/partclone/review-
     partclone/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 153600 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     partclone-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: partclone-0.3.5a-2.fc27.x86_64.rpm
          partclone-debuginfo-0.3.5a-2.fc27.x86_64.rpm
          partclone-0.3.5a-2.fc27.src.rpm
partclone.x86_64: W: only-non-binary-in-usr-lib
partclone.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
partclone.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
partclone.x86_64: W: no-manual-page-for-binary partclone.block
partclone.x86_64: W: no-manual-page-for-binary partclone.imgfuse
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 18 Robert Scheck 2017-08-17 21:18:52 UTC
(In reply to Robert-André Mauchin from comment #17)
> One last minor thing : If the package is under multiple licenses, the
> licensing breakdown must be documented in the spec.
> 
> Since the breakdown is fairly complex, summarizes it to the best of your
> abilities.

I did it per internal "component", otherwise this will end up in a license
per file list as it seems. Hope this is good enough:

Spec URL: https://labs.linuxnetz.de/bugzilla/partclone.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/partclone-0.3.5a-3.src.rpm

Comment 19 Robert-André Mauchin 2017-08-18 05:37:33 UTC
It's good now, package accepted.

Comment 20 Gwyn Ciesla 2017-08-18 11:14:10 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/partclone

Comment 21 Fedora Update System 2017-08-18 16:28:40 UTC
partclone-0.3.5a-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f81abe5e43

Comment 22 Robert Scheck 2017-08-18 19:34:45 UTC
Robert-André, thank you very much for the review!

Comment 23 Fedora Update System 2017-08-20 18:29:02 UTC
partclone-0.3.5a-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-08-21 00:19:17 UTC
partclone-0.3.5a-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-dd1fbf8208

Comment 25 Fedora Update System 2017-08-21 00:20:24 UTC
partclone-0.3.5a-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0bfdb723ff

Comment 26 Fedora Update System 2017-08-21 01:21:43 UTC
partclone-0.3.5a-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4136b24d00

Comment 27 Fedora Update System 2017-08-28 22:21:44 UTC
partclone-0.3.5a-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2017-09-04 17:48:44 UTC
partclone-0.3.5a-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2017-09-04 17:49:38 UTC
partclone-0.3.5a-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.